x11/libXext - The NetBSD Packages Collection

X Extension library

libXext is the historical libX11-based catchall library for the
X11 extensions without their own libraries.

libXext provides functions for: Double Buffer Extension (DBE),
Display Power Management Signaling (DPMS), X11 Nonrectangular Window
Shape Extension (XShape), shared memory extensions (XShm), TOG-CUP
(Xcup), X11 Extended Visual Information extension (EVI), X11
Double-Buffering, Multi-Buffering, and Stereo Extension (Xmbuf).

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers devel/tradcpp devel/libtool-base devel/pkgconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibXext-1.3.4.tgz
NetBSD 8.0earmv7hflibXext-1.3.4.tgz
NetBSD 8.0earmv7hflibXext-1.3.4.tgz
NetBSD 8.0i386libXext-1.3.4.tgz
NetBSD 8.0i386libXext-1.3.4.tgz
NetBSD 8.0i386libXext-1.3.4.tgz
NetBSD 8.0powerpclibXext-1.3.4.tgz
NetBSD 8.0powerpclibXext-1.3.4.tgz
NetBSD 8.0powerpclibXext-1.3.4.tgz
NetBSD 8.0x86_64libXext-1.3.4.tgz
NetBSD 8.0x86_64libXext-1.3.4.tgz
NetBSD 8.0x86_64libXext-1.3.4.tgz
NetBSD 9.0aarch64libXext-1.3.4.tgz
NetBSD 9.0aarch64libXext-1.3.4.tgz
NetBSD 9.0aarch64libXext-1.3.4.tgz
NetBSD 9.0alphalibXext-1.3.4.tgz
NetBSD 9.0alphalibXext-1.3.4.tgz
NetBSD 9.0alphalibXext-1.3.4.tgz
NetBSD 9.0earmv6hflibXext-1.3.4.tgz
NetBSD 9.0earmv6hflibXext-1.3.4.tgz
NetBSD 9.0earmv6hflibXext-1.3.4.tgz
NetBSD 9.0earmv6hflibXext-1.3.4.tgz
NetBSD 9.0earmv7hflibXext-1.3.4.tgz
NetBSD 9.0earmv7hflibXext-1.3.4.tgz
NetBSD 9.0earmv7hflibXext-1.3.4.tgz
NetBSD 9.0earmv7hflibXext-1.3.4.tgz
NetBSD 9.0i386libXext-1.3.4.tgz
NetBSD 9.0i386libXext-1.3.4.tgz
NetBSD 9.0i386libXext-1.3.4.tgz
NetBSD 9.0mips64eblibXext-1.3.4.tgz
NetBSD 9.0mips64eblibXext-1.3.4.tgz
NetBSD 9.0mips64eblibXext-1.3.4.tgz
NetBSD 9.0powerpclibXext-1.3.4.tgz
NetBSD 9.0powerpclibXext-1.3.4.tgz
NetBSD 9.0sparc64libXext-1.3.4.tgz
NetBSD 9.0sparc64libXext-1.3.4.tgz
NetBSD 9.0sparc64libXext-1.3.4.tgz
NetBSD 9.0sparclibXext-1.3.4.tgz
NetBSD 9.0sparclibXext-1.3.4.tgz
NetBSD 9.0sparclibXext-1.3.4.tgz
NetBSD 9.0x86_64libXext-1.3.4.tgz
NetBSD 9.0x86_64libXext-1.3.4.tgz
NetBSD 9.0x86_64libXext-1.3.4.tgz
NetBSD 9.0x86_64libXext-1.3.4.tgz
NetBSD 9.0x86_64libXext-1.3.4.tgz
NetBSD 9.0x86_64libXext-1.3.4.tgz
NetBSD 9.0x86_64libXext-1.3.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.